# Generated by Django 2.2.5 on 2021-11-03 07:57

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('birthday', models.DateField()),
                ('avatar', models.ImageField(blank=True, upload_to='avatars')),
                ('phone_number', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None, unique=True)),
                ('facebook_id', models.CharField(max_length=15)),
                ('twitter_id', models.CharField(max_length=9)),
                ('instagram_id', models.CharField(max_length=15)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='RelativeProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=50)),
                ('last_name', models.CharField(max_length=50)),
                ('birthday', models.DateField()),
                ('avatar', models.ImageField(blank=True, upload_to='avatars')),
                ('relation', models.CharField(choices=[('D', 'Daughter'), ('S', 'Son'), ('NI', 'Niece'), ('NE', 'Nephew'), ('GD', 'Granddaughter'), ('GS', 'Grandson'), ('C', 'Cousin'), ('F', 'Father'), ('M', 'Mother'), ('GF', 'Grandfather'), ('GM', 'Grandmother'), ('U', 'Uncle'), ('A', 'Aunt'), ('F', 'Friend')], max_length=1)),
                ('facebook_id', models.CharField(max_length=15)),
                ('twitter_id', models.CharField(max_length=9)),
                ('instagram_id', models.CharField(max_length=15)),
                ('relative', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sns_integration.UserProfile')),
            ],
        ),
    ]
